
Foreman - Bug #5906

Can't search facts give error / facts search for a particular word does not work

05/23/2014 11:07 AM - Aleksei Yamschikov

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when i want filtered facts by some word i get an error

Full trace:

ActiveRecord::StatementInvalid

PGError: ERROR: syntax error at or near "OR" LINE 1: ...%' OR "fact_names"."name" ILIKE '%ipaddress%' OR OR "hostgr... ^ :

SELECT DISTINCT "fact_values".id, "fact_values"."value" AS alias_0 FROM "fact_values" LEFT OUTER JOIN "fact_names" ON

"fact_names"."id" = "fact_values"."fact_name_id" LEFT OUTER JOIN "hosts" ON "hosts"."id" = "fact_values"."host_id" AND

"hosts"."type" IN ('Host::Managed') LEFT OUTER JOIN "hostgroups" ON "hostgroups"."id" = "hosts"."hostgroup_id" LEFT OUTER

JOIN "hosts" "hosts_fact_values" ON "hosts_fact_values"."id" = "fact_values"."host_id" AND "hosts_fact_values"."type" IN

('Host::Managed') INNER JOIN "fact_names" fact_names_205432 ON (fact_names_205432.id = fact_values.fact_name_id) WHERE

(fact_names.name <> '_timestamp') AND ((fact_names_205432."name" = '') AND ("fact_values"."value" ILIKE '%ipaddress%' OR

"fact_values"."value" ILIKE '%ipaddress%' OR "fact_names"."name" ILIKE '%ipaddress%' OR OR "hostgroups"."name" ILIKE

'%ipaddress%' OR "fact_names"."short_name" ILIKE '%ipaddress%')) ORDER BY "fact_values"."value" ASC NULLS FIRST LIMIT

50 OFFSET 0

app/views/fact_values/index.html.erb:15:in `_app_views_fact_values_index_html_erb__1346882099241040208_70175712824020'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

When I fill completely, I get the desired result. But I need all the facts such as the type ipaddress. Not one particular. And it does not

work.

Related issues:

Is duplicate of Foreman - Bug #5566: Fact Values Query Produces Error Closed 05/05/2014

History

#1 - 05/23/2014 11:09 AM - Aleksei Yamschikov

forgot to specify the version: foreman 1.5.0-RC2

#2 - 05/23/2014 11:09 AM - Dominic Cleal

- Is duplicate of Bug #5566: Fact Values Query Produces Error added

#3 - 05/23/2014 11:10 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we're tracking this under #5566.
